
/*
 * @author hbr
 * @date   2019-09-18
 **/

import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/questionModel/page/QuestionPageModel.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/QuestionEntity.dart';

class QuestionPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => QuestionState();
}

class QuestionState extends State<QuestionPage> {
  QuestionPageModel _model;

  @override
  void initState() {
    super.initState();
    _model = new QuestionPageModel();
  }

  @override
  void dispose() {
    super.dispose();
    _model.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(
          "User",
          style: TextStyle(fontSize: 16),
        ),
        centerTitle: true,
      ),
      body: Column(
        children: <Widget>[
 
          Container(
            margin: EdgeInsets.fromLTRB(16, 10, 16, 20),
            child: TextField(
              cursorColor: Colors.black,
              decoration: InputDecoration(
                  contentPadding: EdgeInsets.all(10.0),
                  icon: Icon(Icons.text_fields, color: Colors.black),
                  labelText: 'name1',
                  labelStyle: TextStyle(color: Colors.black)),
              autofocus: false,
            ),
          ),
          Container(
            margin: EdgeInsets.fromLTRB(16, 0, 16, 20),
            child: TextField(
              cursorColor: Colors.black,
              decoration: InputDecoration(
                  contentPadding: EdgeInsets.all(10.0),
                  icon: Icon(
                    Icons.text_fields,
                    color: Colors.black,
                  ),
                  labelText: 'word2',
                  labelStyle: TextStyle(color: Colors.black)),
              autofocus: false,
            ),
          ),
      
          Container(
              width: double.maxFinite,
              margin: EdgeInsets.fromLTRB(16, 0, 16, 0),
              child: OutlineButton(
                onPressed: () => _model.logout(context),
                child: Text("退出"),
                shape: BeveledRectangleBorder(
                  borderRadius: BorderRadius.circular(3),
                ),
              )),

        ],
      ),
    );
  }
}
